<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Bonus extends Model 
{

    protected $table = 'bonuses';
    public $timestamps = true;
    protected $fillable = array('name', 'slug', 'mobile_android', 'mobile_ios', 'code', 'max_cashout', 'uses', 'wagering', 'success_rate', 'verified', 'exclusive', 'requires_email', 'published');
    protected $visible = array('casino_id');

    public function languages()
    {
        return $this->belongsToMany('App\Models\Language', 'bonus_content', 'bonus_id', 'website_lang_id');
    }

    public function attributes()
    {
        return $this->belongsToMany('App\Models\Attributes', 'bonus_attributes', 'bonus_id', 'attribute_id')->withPivot('is_primary');
    }

}